echo off
cls
if %0==a:install goto adrive
if %0==A:install goto adrive
if %0==A:INSTALL goto adrive
if %0==b:install goto bdrive
if %0==B:install goto bdrive
if %0==B:INSTALL goto bdrive
if %0==install goto doinstall
if %0==INSTALL goto doinstall

echo "The Caribbean" Installation program
echo Please switch to the drive you wish to install from before
echo starting install.  For example, to install from the B: drive,
echo Enter         B:
echo Then enter    INSTALL %1
goto End

:adrive
a:
goto doinstall

:bdrive
b:
goto doinstall

:doinstall

if "%1"=="" goto DriveNeeded
if %1==c: goto MakeDir
if %1==C: goto MakeDir
if %1==d: goto MakeDir
if %1==D: goto MakeDir
if %1==e: goto MakeDir
if %1==E: goto MakeDir
if %1==f: goto MakeDir
if %1==F: goto MakeDir
if %1==g: goto MakeDir
if %1==G: goto MakeDir
if %1==h: goto MakeDir
if %1==H: goto MakeDir
if %1==i: goto MakeDir
if %1==I: goto MakeDir
if %1==j: goto MakeDir
if %1==J: goto MakeDir
if %1==k: goto MakeDir
if %1==K: goto MakeDir
if %1==l: goto MakeDir
if %1==L: goto MakeDir
if %1==m: goto MakeDir
if %1==M: goto MakeDir
if %1==n: goto MakeDir
if %1==N: goto MakeDir
if %1==o: goto MakeDir
if %1==O: goto MakeDir
if %1==p: goto MakeDir
if %1==P: goto MakeDir

:InvalidDrive
echo "%1" is an invalid drive name.  Please use the drive's letter
echo followed by a colon:
goto Example

:DriveNeeded
echo Specify which drive to install "The Caribbean" on, for example:
:Example
echo 
echo         install c:
goto End
:OtherError
echo 
echo This installation has detected a previous version of this program,
echo to remove it, please run from this diskette: REMOVE
goto End
:MakeDir
echo ษอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
echo บ           "The Caribbean" Multimedia Experience               บ
echo บ                          Installation                         บ
echo บ                 DEMONSTRATION, featuring Jamaica              บ
echo บ     This batch file will install all "The Caribbean" files    บ
echo บ        into a directory called 'CARIBEAN' on drive %1.        บ
echo ศอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ
if exist %1\CARIBEAN\IMPACT.EXE goto OtherError
if exist %1\caribean\OBJECTS\MAINMENU.HYP goto OtherError
echo 
pause
echo 
ECHO Decompressing now. Please wait a few minutes...
DEMO %1
%1
if not exist %1\CARIBEAN\IMPACT.EXE goto InstallError
if not exist %1\caribean\OBJECTS\MAINMENU.HYP goto InstallError
goto Ok
:InstallError
echo ERROR: Installation of "The Caribbean" into %1 was unsuccessful.
echo         Please check your hard disk.
goto End
:Ok
cd %1\caribean\pictures
A16 /P\caribean
cd\
echo "The Caribbean" DEMO, featuring JAMAICA, was successfully installed!
echo To run, type de following:
echo CD\CARIBEAN
echo GO
echo                           .... Enjoy your Trip!
:End
